#pragma once

#include <ros/ros.h>

#include "vl6180x_platform.h"

namespace rh_sensing
{
class RideheightSensing
{
public:
  RideheightSensing(ros::NodeHandle nh, ros::NodeHandle nh_private);

  void spin();

private:
  ros::NodeHandle nh;
  ros::NodeHandle nh_private;

  ros::Publisher vl6180x_pub;
  ros::Publisher vl53l0x_pub;

  VL6180xDev_t vl6180x_dev;
  VL6180x_RangeData_t vl6180x_range;
};

}  // namespace rh_sensing
